<p align="center">
  <img src="https://i.ibb.co/CKWk4wD/1701755216253.jpg" alt="GrabbyGram Logo">
</p>

<h1 align="center">GrabbyGram</h1>

<p align="center">
  <strong>A Python package for seamless media downloading from Telegram.</strong>
</p>

<p align="center">
  <a href="https://github.com/kavidu-dilhara/GrabbyGram/stargazers">
            <img src="https://img.shields.io/github/stars/kavidu-dilhara/GrabbyGram?style=social" alt="GitHub stars">
        </a>
        <a href="https://github.com/kavidu-dilhara/GrabbyGram/network">
            <img src="https://img.shields.io/github/forks/kavidu-dilhara/GrabbyGram?style=social" alt="GitHub forks">
        </a>
        
  <a href="https://github.com/kavidu-dilhara/GrabbyGram/issues">
    <img src="https://img.shields.io/github/issues/kavidu-dilhara/GrabbyGram" alt="Issues">
  </a>
<img alt="PyPI - Version" src="https://img.shields.io/pypi/v/grabbygram">
<img alt="PyPI - Format" src="https://img.shields.io/pypi/format/grabbygram">

</p>



## Table of Contents

- [Project Structure](#project-structure)
- [Installation](#installation)
- [Tutorial Video](#tutorial-video)
- [Features](#features)
- [License](#license)
- [Contributing](#contributing)
- [Contact](#contact)

## Project Structure
The project structure is organized as follows:

```bash
grabbyram/
├── grabbyram/
│   ├── __init__.py
│   └── grabbyram.py
├── setup.py
├── README.md
├── .env  # Store your API credentials here
├── .gitignore
├── LICENSE
├── CONTRIBUTING.md
└── requirements.txt
```

## Installation

1. Install using pip:

   ```bash
   pip install grabbygram
   ```
## Tutorial Video

Learn how to use GrabbyGram with our step-by-step tutorial video.

[![GrabbyGram Tutorial](https://i.ibb.co/j65BFqp/image.jpg)](#)

## Features

- **User Authentication:** Securely log in with your Telegram API ID and API Hash.
- **Explore Chats:** Retrieve detailed information about your Telegram chats.
- **Group Media Download:** Effortlessly download media from specific groups.
- **Channel Media Download:** Download media content from specific channels.


## License

GrabbyGram is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.  

## Contributing

Thank you for considering contributing to GrabbyGram! Whether it's reporting a bug, submitting a feature request, or actively participating in the development, your contribution is valued.

### Bug Reports and Feature Requests

If you come across a bug or have a feature request, please [open an issue](https://github.com/kavidu-dilhara/GrabbyGram/issues) on GitHub. Provide detailed information, steps to reproduce, and, if applicable, code snippets.

## Contact

If you have any questions, suggestions, or feedback, feel free to reach out:
[![Website](https://img.shields.io/badge/Website-www.kavidudilhara.eu.org-blue)](https://www.kavidudilhara.eu.org/)